Erreur FLutter build ios sur mac

Erreur FLutter build ios sur mac

GeneratedPluginRegistrant.h:8:9: ‘Flutter/Flutter.h’ file not found

▸ Running script '[CP] Check Pods Manifest.lock'
▸ Compiling AppDelegate.swift

❌  /Users/runner/work/cruise-open/cruise-open/ios/Runner/GeneratedPluginRegistrant.h:8:9: 'Flutter/Flutter.h' file not found

#import <Flutter/Flutter.h>
        ^



❌  error: failed to emit precompiled header '/Users/runner/Library/Developer/Xcode/DerivedData/Runner-gzzbtgmsqethlzedjqlbspydxjjv/Build/Intermediates.noindex/ArchiveIntermediates/Runner/PrecompiledHeaders/Runner-Bridging-Header-swift_1AHRDP8M3I8QQ-clang_31L3IGZMRKP3F.pch' for bridging header /Users/runner/work/cruise-open/cruise-open/ios/Runner/Runner-Bridging-Header.h


▸ Compiling AppDelegate.swift

❌  /Users/runner/work/cruise-open/cruise-open/ios/Runner/GeneratedPluginRegistrant.h:8:9: 'Flutter/Flutter.h' file not found

#import <Flutter/Flutter.h>
        ^



❌  error: failed to emit precompiled header '/Users/runner/Library/Developer/Xcode/DerivedData/Runner-gzzbtgmsqethlzedjqlbspydxjjv/Build/Intermediates.noindex/ArchiveIntermediates/Runner/PrecompiledHeaders/Runner-Bridging-Header-swift_2B1B0LTP78OSP-clang_2U46V7U7AWVUC.pch' for bridging header /Users/runner/work/cruise-open/cruise-open/ios/Runner/Runner-Bridging-Header.h


** ARCHIVE FAILED **


The following build commands failed:
    CompileSwift normal armv7 /Users/runner/work/cruise-open/cruise-open/ios/Runner/AppDelegate.swift
    CompileSwiftSources normal armv7 com.apple.xcode.tools.swift.compiler
    CompileSwift normal arm64 /Users/runner/work/cruise-open/cruise-open/ios/Runner/AppDelegate.swift
    CompileSwiftSources normal arm64 com.apple.xcode.tools.swift.compiler
(4 failures)
[14:50:03]: Exit status: 65
[14:50:03]: 
[14:50:03]: Maybe the error shown is caused by using the wrong version of Xcode
[14:50:03]: Found multiple versions of Xcode in '/Applications/'
[14:50:03]: Make sure you selected the right version for your project
[14:50:03]: This build process was executed using '/Applications/Xcode_12.4.app'
[14:50:03]: If you want to update your Xcode path, either
[14:50:03]: 
[14:50:03]: - Specify the Xcode version in your Fastfile
[14:50:03]: ▸ xcversion(version: "8.1") # Selects Xcode 8.1.0
[14:50:03]: 
[14:50:03]: - Specify an absolute path to your Xcode installation in your Fastfile
[14:50:03]: ▸ xcode_select "/Applications/Xcode8.app"
[14:50:03]: 
[14:50:03]: - Manually update the path using
[14:50:03]: ▸ sudo xcode-select -s /Applications/Xcode.app
[14:50:03]: 

Solution

sudo brew unlink cocoapods


Puis

sudo brew install cocoapods in /usr/local/bin

azienda-solutions

Seo

@AziendaSolutions azienda_solutions

 483 total views,  2 views today

One thought on “Erreur FLutter build ios sur mac”

  1. […] d’exécuter l’application flutter – ios via xcode mais cela ne fonctionne pas à chaque fois que je reçois le message ou l’erreur suivant […]

Add a Comment

Your email address will not be published.